curl --request GET \
--url https://api.primeintellect.ai/api/v1/sandbox/expose/all \
--header 'Authorization: Bearer <token>'{
"exposures": [
{
"exposure_id": "<string>",
"sandbox_id": "<string>",
"port": 123,
"name": "<string>",
"url": "<string>",
"tls_socket": "<string>",
"protocol": "<string>",
"external_port": 123,
"external_endpoint": "<string>",
"created_at": "<string>"
}
]
}List all exposed ports across all sandboxes for the current user
curl --request GET \
--url https://api.primeintellect.ai/api/v1/sandbox/expose/all \
--header 'Authorization: Bearer <token>'{
"exposures": [
{
"exposure_id": "<string>",
"sandbox_id": "<string>",
"port": 123,
"name": "<string>",
"url": "<string>",
"tls_socket": "<string>",
"protocol": "<string>",
"external_port": 123,
"external_endpoint": "<string>",
"created_at": "<string>"
}
]
}Was this page helpful?